---
title: "Get application history"
description: "Get the audit log or history of an application."
protocol: rest
method: GET
endpoint: "/v1/accounts/applications/{id}/history"
baseUrl: "https://api.gravv.xyz"
group: "Accounts"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get application history

<Endpoint method="GET" path="/v1/accounts/applications/{id}/history" />

Get the audit log or history of an application.

## Path Parameters

<ParamField name="id" path="id" type="string" required>
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | Application history |
| `400` | Request failed. All gateway errors are returned as HTTP 400 with this envelope. |

### 200 response

<ResponseField name="data" type="object" required>

  <Expandable title="properties">
    <ResponseField name="application_id" type="string">
    </ResponseField>

    <ResponseField name="history" type="object[]">

      <Expandable title="properties">
        <ResponseField name="id" type="string">
        </ResponseField>

        <ResponseField name="application_id" type="string">
        </ResponseField>

        <ResponseField name="action" type="string">
          The action recorded (for example, created, submitted, approved, failed, tos_accepted, or updated).
        </ResponseField>

        <ResponseField name="actor" type="string">
          Who performed the action.
        </ResponseField>

        <ResponseField name="changes" type="object">
          Fields that changed during this action.
        </ResponseField>

        <ResponseField name="created_at" type="string">
        </ResponseField>

      </Expandable>
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="null" required>
</ResponseField>

### 400 response

<ResponseField name="data" type="null" required>
</ResponseField>

<ResponseField name="error" type="string" required>
  Human-readable error message.
</ResponseField>

## Authorization

- **ApiKeyAuth**
